import { EntitySchema, GenderSchema } from '@isa/common/data-access';
import { z } from 'zod';

export const UserSchema = z
  .object({
    email: z.string().email().describe('Email address').optional(),
    firstName: z.string().describe('First name').optional(),
    gender: GenderSchema.describe('Gender').optional(),
    lastName: z.string().describe('Last name').optional(),
    name: z.string().describe('Name').optional(),
    title: z.string().describe('Title').optional(),
  })
  .extend(EntitySchema.shape);
